@echo off
setlocal
set CLASSPATH=%CD%;%CLASSPATH%
set JAVAC=javac

if %1. == . goto continue
if %1. == cleanup. goto cleanup
echo Invalid argument "%1". Pass either nothing or 'clean'.
echo Usage: run [no arguments^|clean]
exit /b 1

:continue
echo ASN.1-compiling the baseball syntax...
echo.
asn1pjav baseball -err tbcas.log
if errorlevel 1 (
	echo Error ASN.1-compiling.
	exit /b 1
)

if exist "%OSS_ASN1_JAVA%\lib\oss.jar" goto next
echo The environment variable OSS_ASN1_JAVA not set.  Exiting...
exit /b 1

:next
cd baseball
echo Java-compiling generated classes...
echo.
call baseball.bat %JAVAC% -g >>..\tbcas.log
cd ..

%JAVAC% -g *.java >>tbcas.log
if not exist Tbcas.class (
	echo Error Java-compiling.
	echo Tbcas.class not found.
	exit /b 1
)

echo Running the baseball test...
echo.
java Tbcas

if exist baseball (
	rmdir /s /q baseball
	exit /b 0
)

:cleanup
if exist baseball 	rmdir /s /q baseball
if exist tbcas.log 	del tbcas.log
if exist *.class 	del *.class
if exist tbcas.ber  del tbcas.ber
